%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name sys-filesystem

Summary: A Ruby interface for getting file system information.
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.5
Release: 1%{?dist}
Group: Development/Languages
License: Artistic2.0
URL: https://github.com/djberg96/sys-filesystem
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
%if ( 0%{?fedora} > 18 || 0%{?rhel} >= 7 ) && "%{?scl}" != "ruby193" 
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
%else
Requires: %{?scl_prefix}ruby(abi)
Requires: %{?scl_prefix}ruby(rubygems)
BuildRequires: %{?scl_prefix}ruby(abi)
BuildRequires: %{?scl_prefix}rubygems-devel
%endif
Requires:  %{?scl_prefix}rubygem-ffi
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
A Ruby interface for getting file system information.

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_instdir}/certs
%{gem_instdir}/examples
%{gem_instdir}/lib
%{gem_instdir}/test
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/spec

%files doc
%doc %{gem_docdir}
%{gem_instdir}/CHANGES
%{gem_instdir}/MANIFEST
%{gem_instdir}/Rakefile
%{gem_instdir}/README
%exclude %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_instdir}/Gemfile*

%changelog

